import { ConfigProvider, Table } from 'antd';
import styles from './index.less';
export default () => {
  const dataSource = [
    {
      key: '1',
      name: '胡彦斌',
      age: 32,
      address: '西湖区湖底公园1号',
    },
    {
      key: '2',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
    {
      key: '3',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
    {
      key: '4',
      name: '胡彦祖',
      age: 42,
      address: '西湖区湖底公园1号',
    },
  ];

  const columns = [
    {
      title: '排名',
      dataIndex: 'name',
      key: 'name',
      width: 100,
      align: 'center',
    },
    {
      title: '处置单位',
      dataIndex: 'age',
      key: 'age',
      width: 150,
      align: 'center',
    },
    {
      title: '待解决',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '共计',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '待解决',
      dataIndex: 'address',
      key: 'address',
      width: 150,
      align: 'center',
    },
    {
      title: '超期100天以上',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
    {
      title: '超期30-100天',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
    {
      title: '超期30天已内',
      dataIndex: 'address',
      key: 'address',
      width: 200,
      align: 'center',
    },
  ];
  return (
    <div className={styles.container}>
      <ConfigProvider
        theme={{
          components: {
            Table: {
              headerBorderRadius: 25,
            },
          },
        }}
      >
        <Table
          dataSource={dataSource}
          columns={columns}
          rowClassName={(record, index) => {
            if (index % 2 === 0) {
              return styles.rowClassName1;
            } else {
              return styles.rowClassName;
            }
          }}
        />
      </ConfigProvider>
    </div>
  );
};
