import signSflogin1 from '@/assets/images/sign/signSflogin1.png';
import signSflogin2 from '@/assets/images/sign/signSflogin2.png';
import signSflogin3 from '@/assets/images/sign/signSflogin3.png';
import signSflogin4 from '@/assets/images/sign/signSflogin4.png';
import signSflogin5 from '@/assets/images/sign/signSflogin5.png';
import signSflogin6 from '@/assets/images/sign/signSflogin6.png';
import { useState } from 'react';
import styles from './index.less';
const SignArithmetic = () => {
  const [activeKey, setActiveKey] = useState('1');
  const items = [
    {
      key: '1',
      icon: signSflogin1,
      name: '问 题 感 知',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
    },
    {
      key: '2',
      icon: signSflogin2,
      name: '特 征 解 析',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
    },
    {
      key: '3',
      icon: signSflogin3,
      name: '权 重 分 配',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
    },
    {
      key: '4',
      icon: signSflogin4,
      name: '数 据 聚 合',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
    },
    {
      key: '5',
      icon: signSflogin5,
      name: '体 征 建 模',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
    },
    {
      key: '6',
      icon: signSflogin6,
      name: '体 征 呈 现',
      desc: '这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述，这里是一段描述',
      hide: true,
    },
  ];
  return (
    <div className={styles.container}>
      <div className={styles.topContent}>
        {items.map((item) => {
          return (
            <div
              className={styles.content}
              key={item.key}
              style={
                item.key === activeKey
                  ? {
                      background:
                        'linear-gradient(0deg, #3F95FF 0%, #38BCEE 100%)',
                    }
                  : {}
              }
              onClick={() => {
                setActiveKey(item.key);
              }}
            >
              <img src={item.icon} alt="" className={styles.icon} />
              <div
                className={styles.name}
                style={item.key === activeKey ? { color: '#FFFFFF' } : {}}
              >
                {item.name}
              </div>
              {!item?.hide && (
                <img
                  src={require('@/assets/images/sign/arrows.png')}
                  alt=""
                  className={styles.arrows}
                />
              )}
            </div>
          );
        })}
      </div>

      <div className={styles.bottomContent}>
        <div className={styles.title}>
          <div className={styles.tag}>1</div>
          <span className={styles.name}>
            {items?.find((item) => item.key === activeKey)?.name}
          </span>
        </div>
        <div className={styles.desc}>
          {items?.find((item) => item.key === activeKey)?.desc}
        </div>
      </div>
    </div>
  );
};

export default SignArithmetic;
